Debian Bug report logs - #622622
Priority of i386 kernel flavours

version graph

Package: debian-cd; Maintainer for debian-cd is Debian CD Group <debian-cd@lists.debian.org>; Source for debian-cd is src:debian-cd.

Reported by: Ben Hutchings <ben@decadent.org.uk>

Date: Wed, 13 Apr 2011 13:15:01 UTC

Severity: normal

Fixed in version debian-cd/3.1.7

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#622622; Package debian-cd. (Wed, 13 Apr 2011 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
New Bug report received and forwarded. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Wed, 13 Apr 2011 13:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: submit@bugs.debian.org
Subject: Priority of i386 kernel flavours
Date: Wed, 13 Apr 2011 14:12:27 +0100
[Message part 1 (text/plain, inline)]
Package: debian-cd

(Not sure which version is actually used for squeeze.)

On i386 machines with RAM above the 4GB physical address, either PAE or
LM (Long Mode, 64-bit) must be used to access that RAM.  The preferred
kernel flavour is '686-bigmem', with 'amd64' also being an option.

However the amd64 flavour is on DVD 1 but the 686-bigmem flavour is on
DVD 2.  This means a single-DVD install with no network access will get
the amd64 flavour if the system supports LM and the 686 flavour if it
does not.  The former is somewhat undesirable as third-party installers
(and users) can get confused by a 64-bit kernel with 32-bit userland.
The latter is extremely undesirable as some RAM is then inaccessible.

Similarly the amd64 flavour is currently on CD 5 but the 686-bigmem
flavour is on CD 10.  The 686-bigmem flavour should be increased in
priority, certainly above the amd64 flavour, and should ideally be on CD
1 or 2 (but I realise that there is tough competition for CD 1).

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.

[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. (Sat, 30 Apr 2011 21:54:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#622622; Package debian-cd. (Sat, 30 Apr 2011 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Sat, 30 Apr 2011 22:51:03 GMT) Full text and rfc822 format available.

Message #12 received at 622622@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Ben Hutchings <ben@decadent.org.uk>, 622622@bugs.debian.org
Subject: Re: Bug#622622: Priority of i386 kernel flavours
Date: Sat, 30 Apr 2011 23:22:02 +0100
On Wed, Apr 13, 2011 at 02:12:27PM +0100, Ben Hutchings wrote:
>Package: debian-cd
>
>(Not sure which version is actually used for squeeze.)
>
>On i386 machines with RAM above the 4GB physical address, either PAE or
>LM (Long Mode, 64-bit) must be used to access that RAM.  The preferred
>kernel flavour is '686-bigmem', with 'amd64' also being an option.
>
>However the amd64 flavour is on DVD 1 but the 686-bigmem flavour is on
>DVD 2.  This means a single-DVD install with no network access will get
>the amd64 flavour if the system supports LM and the 686 flavour if it
>does not.  The former is somewhat undesirable as third-party installers
>(and users) can get confused by a 64-bit kernel with 32-bit userland.
>The latter is extremely undesirable as some RAM is then inaccessible.
>
>Similarly the amd64 flavour is currently on CD 5 but the 686-bigmem
>flavour is on CD 10.  The 686-bigmem flavour should be increased in
>priority, certainly above the amd64 flavour, and should ideally be on CD
>1 or 2 (but I realise that there is tough competition for CD 1).

I've added linux-image-686-bigmem to
tasks/squeeze/interesting-fromcd23, which means that the -bigmem
kernels will get pulled in before packages from popcon. A test build
looks good, and I've back-ported the fix back to the squeeze branch of
debian-cd so that 6.0.2 should be correct.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Who needs computer imagery when you've got Brian Blessed?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#622622; Package debian-cd. (Sat, 30 Apr 2011 23:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Sat, 30 Apr 2011 23:03:05 GMT) Full text and rfc822 format available.

Message #17 received at 622622@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Steve McIntyre <steve@einval.com>
Cc: 622622@bugs.debian.org
Subject: Re: Bug#622622: Priority of i386 kernel flavours
Date: Sun, 01 May 2011 00:01:49 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2011-04-30 at 23:22 +0100, Steve McIntyre wrote:
[...]
> I've added linux-image-686-bigmem to
> tasks/squeeze/interesting-fromcd23, which means that the -bigmem
> kernels will get pulled in before packages from popcon. A test build
> looks good, and I've back-ported the fix back to the squeeze branch of
> debian-cd so that 6.0.2 should be correct.

Thanks.

You'll also want to put linux-image-686-pae on CD 1 (in place of
linux-image-686) in future releases.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#622622; Package debian-cd. (Mon, 02 May 2011 13:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Mon, 02 May 2011 13:24:08 GMT) Full text and rfc822 format available.

Message #22 received at 622622@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Steve McIntyre <steve@einval.com>, 622622@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#622622: Priority of i386 kernel flavours
Date: Mon, 02 May 2011 14:14:11 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2011-04-30 at 23:22 +0100, Steve McIntyre wrote:
> On Wed, Apr 13, 2011 at 02:12:27PM +0100, Ben Hutchings wrote:
> >Package: debian-cd
> >
> >(Not sure which version is actually used for squeeze.)
> >
> >On i386 machines with RAM above the 4GB physical address, either PAE or
> >LM (Long Mode, 64-bit) must be used to access that RAM.  The preferred
> >kernel flavour is '686-bigmem', with 'amd64' also being an option.
> >
> >However the amd64 flavour is on DVD 1 but the 686-bigmem flavour is on
> >DVD 2.  This means a single-DVD install with no network access will get
> >the amd64 flavour if the system supports LM and the 686 flavour if it
> >does not.  The former is somewhat undesirable as third-party installers
> >(and users) can get confused by a 64-bit kernel with 32-bit userland.
> >The latter is extremely undesirable as some RAM is then inaccessible.
> >
> >Similarly the amd64 flavour is currently on CD 5 but the 686-bigmem
> >flavour is on CD 10.  The 686-bigmem flavour should be increased in
> >priority, certainly above the amd64 flavour, and should ideally be on CD
> >1 or 2 (but I realise that there is tough competition for CD 1).
> 
> I've added linux-image-686-bigmem to
> tasks/squeeze/interesting-fromcd23, which means that the -bigmem
> kernels will get pulled in before packages from popcon. A test build
> looks good, and I've back-ported the fix back to the squeeze branch of
> debian-cd so that 6.0.2 should be correct.

Doest this have an impact (i.e. perhaps make it obsolete) the
VARIANT_xen stuff e.g. in tools/generate_di+k_list? I suppose the
variant stuff is orthogonal to this issue, even if the net result is the
same and so it's worth having both by way of explicitly asking for what
is required in both cases.

Ian.

-- 
Ian Campbell

I am currently transitioning to a new OpenPGP key, please see:
http://www.hellion.org.uk/key-transition-2011-04-27-2F6BCD59-to-79074FA8.txt

If you have to think twice about it, you're wrong.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Tue, 05 Jul 2011 22:33:11 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Tue, 05 Jul 2011 22:33:11 GMT) Full text and rfc822 format available.

Message #27 received at 622622-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 622622-close@bugs.debian.org
Subject: Bug#622622: fixed in debian-cd 3.1.7
Date: Tue, 05 Jul 2011 22:32:10 +0000
Source: debian-cd
Source-Version: 3.1.7

We believe that the bug you reported is fixed in the latest version of
debian-cd, which is due to be installed in the Debian FTP archive:

debian-cd_3.1.7.dsc
  to main/d/debian-cd/debian-cd_3.1.7.dsc
debian-cd_3.1.7.tar.gz
  to main/d/debian-cd/debian-cd_3.1.7.tar.gz
debian-cd_3.1.7_all.deb
  to main/d/debian-cd/debian-cd_3.1.7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 622622@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated debian-cd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 07 Jun 2011 23:03:42 +0100
Source: debian-cd
Binary: debian-cd
Architecture: source all
Version: 3.1.7
Distribution: unstable
Urgency: low
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 debian-cd  - Tools for building (Official) Debian CD set
Closes: 614583 619211 622622 630805
Changes: 
 debian-cd (3.1.7) unstable; urgency=low
 .
   [ Ben Hutchings ]
   * In the boot prompt for powerpc, make install64 more prominent.
     Closes: #614583
 .
   [ Steve McIntyre ]
   * Merge update-cd changes back from the squeeze branch:
     + Remove the old non-US stuff from it, it's not been needed in years.
     + Cope with .bz2 source files too.
     + Merged and simplified the old functionality from scansources.old
       and scanpackages.old into the new script create_control.
     + Run the mkisofs step *outside* of "set -e" so that we can actually
       report errors instead of silently failing.
     + Split out the code for starting a new disc into a function.
     + Pick up on a potential bug: if we finish the last (expected) disc with
       a backed-out file, make sure we create another image to include that
       file too.
   * Update make_disc_trees.pl and which_deb to cope with different
     types of source file, and clean up the code in that area.
   * tools/make_image: generate list files while we have the CD trees
     available
   * update the URL for downloading s390 d-i dailies.
   * Add linux-image-2.6-686-bigmem to tasks/<release>/interesting-fromcd23
     to try and put that on i386 image sets before linux-image-amd64.
     Closes: #622622
   * update the URL for downloading i386 d-i dailies.
   * update the URL for downloading armel d-i dailies.
   * tools/grab_md5:
     + Improve Packages and Sources file parsing;
     + Cope with differently-formed files that are still valid
       (don't assume field ordering).
     + Switch from awk to perl makes things much faster too!
     + Make arch handling more generic - instead of having to list all
       arches, allow a wildcard and then check for lack of Packages.gz files
   * tools/make-firmware-image: Rather than use the firmware task which
     gets out of date, look for firmware/microcode files directly in the
     Packages file. Check for things installing in /lib/firmware, and add
     those packages.
   * Remove the checked-in firmware task altogether, as it's not
     useful. Generate it when needed using the new script
     tools/generate_firmware_task.
   * Add apt-offline to tasks/wheezy/forcd1 to bring it onto CD#1.
     Closes: #630805
   * Add links to snapshot.debian.org into jigdo files.
 .
   [ Aurelien Jarno ]
   * Add support for hurd-i386. Closes: #619211
Checksums-Sha1: 
 2b17d63c82af58d7322d13d4700a4d18763d59be 1628 debian-cd_3.1.7.dsc
 82cd40d77368412c5c3ffb6cb298fe2bb679e0da 1198337 debian-cd_3.1.7.tar.gz
 c7c504b125bbb79fb8c5619c38353a86fec051d3 1187796 debian-cd_3.1.7_all.deb
Checksums-Sha256: 
 8d934141ff9f0b08810fba4d5ca148173618bc5acb55c49f167473b60899a6b6 1628 debian-cd_3.1.7.dsc
 8d39dff83840ecc733660f7b99b0823917225e62dc5a9cd2466723218d462c07 1198337 debian-cd_3.1.7.tar.gz
 286f60901149df1faa497458b5b63905dc044fb857ec6aa6084418032eeb97b6 1187796 debian-cd_3.1.7_all.deb
Files: 
 46a076e717317414ca72db08dad399d9 1628 admin extra debian-cd_3.1.7.dsc
 d269dc55313633d9aa980f76b693fdb3 1198337 admin extra debian-cd_3.1.7.tar.gz
 617887c5e2679ea186b1b49f22cebb1c 1187796 admin extra debian-cd_3.1.7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJOE40nAAoJEFh5eVc0QmhO+WMP/RokCg0vPNiLPiSfoUlO86Ys
TXcYkQZIe5F75ydIKLzBWuY8OOZa+oG7ZmzCRTpFEmXE+i3oCC1AjcxiZAcq0Lzj
wPcuruI81s8c/93bhprrT65g94F6Bj8B4wfIsLzTZWuxrhKeL3QzCdnnpi/+yDj4
/LEaC9jAgrit7BMYT8+1fzYfBs7YuO4tSTP1t+SJ7MvTtCf9XtKMRtueKSm6knkL
1aFiRTCRQs/wT7o4Qf/oOOAtkdpgj+g3ziqUDSCMWycgXMEQH+IJ6/+jNOlo7zGz
5x76Ffm5bdRr/UhSaWs4Xg9QrnVmBqmFBsgGWhxo2/AERMX7UPTMB86U6qPvdZIx
/T9GvR+rQCzv8hr4EeRTfyA9H/Ln7DVy/xvLjxBq4dvIbZqTFWHxfG7XJtPe9I/q
jr6mwS78llWRIBYiGVg0VferzkfK93ejdhuKOGgATbIs6i6o4KN6McnS6sI3ffUg
5C3gFmq8gcx/iE0vsWdPqveDzBRkNSWXnmbefeehEKt5mNiz1yjq0frA1t/swWf+
OjuwIMYSx+ZSxPZEuzlxy+tBdb3xjy3LBSTWksKg8p4vBjFfRzCLWK+LQYxZR+Ym
bL09nc1k2TnDScSJXxd3hbjLUV/l8JeIKv0u+n+avWQx9k4lE7cry07Y/+TtKkM9
98w9iv8A5Q7ZuqNEMUJn
=cvMC
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#622622; Package debian-cd. (Fri, 08 Jul 2011 04:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Fri, 08 Jul 2011 04:00:03 GMT) Full text and rfc822 format available.

Message #32 received at 622622@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Steve McIntyre <steve@einval.com>
Cc: 622622@bugs.debian.org
Subject: Re: Bug#622622 closed by Steve McIntyre <93sam@debian.org> (Bug#622622: fixed in debian-cd 3.1.7)
Date: Fri, 08 Jul 2011 04:57:05 +0100
[Message part 1 (text/plain, inline)]
You wrote:
>    * Add linux-image-2.6-686-bigmem to tasks/<release>/interesting-fromcd23
>      to try and put that on i386 image sets before linux-image-amd64.
>      Closes: #622622

This is not correct for wheezy, though - 686-bigmem is gone and 686-pae
belongs on CD 1 in place of 686.

I can open a separate bug for required changes for wheezy, if you
prefer.

Ben.

-- 
Ben Hutchings
The two most common things in the universe are hydrogen and stupidity.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#622622; Package debian-cd. (Fri, 08 Jul 2011 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Fri, 08 Jul 2011 11:03:03 GMT) Full text and rfc822 format available.

Message #37 received at 622622@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 622622@bugs.debian.org
Subject: Re: Bug#622622 closed by Steve McIntyre <93sam@debian.org> (Bug#622622: fixed in debian-cd 3.1.7)
Date: Fri, 8 Jul 2011 12:00:19 +0100
On Fri, Jul 08, 2011 at 04:57:05AM +0100, Ben Hutchings wrote:
>You wrote:
>>    * Add linux-image-2.6-686-bigmem to tasks/<release>/interesting-fromcd23
>>      to try and put that on i386 image sets before linux-image-amd64.
>>      Closes: #622622
>
>This is not correct for wheezy, though - 686-bigmem is gone and 686-pae
>belongs on CD 1 in place of 686.
>
>I can open a separate bug for required changes for wheezy, if you
>prefer.

No need. I've just committed changes to do the following:

    + Removed all mention of 686-bigmem as it's now gone
    + Moved 686 to interesting-fromcd23
    + Added 686-pae onto CD#1 in place of 686
    + Leave the 486 kernel on CD#1 still, for people who can't use
    686-pae


-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"You can't barbecue lettuce!" -- Ellie Crane





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 13 Aug 2011 07:33:12 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 22 Jun 2012 04:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#622622; Package debian-cd. (Fri, 22 Jun 2012 04:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Fri, 22 Jun 2012 04:48:03 GMT) Full text and rfc822 format available.

Message #46 received at 622622@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 622622@bugs.debian.org
Subject: Re: Priority of i386 kernel flavours
Date: Fri, 22 Jun 2012 05:46:07 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2012-06-22 at 05:31 +0100, Ben Hutchings wrote:
> Please can this be fixed in a stable point release, not just in wheezy?

Sorry, I see this was supposed to be fixed in 6.0.2 (and cdimage-search
confirms that).  I've been misled by <http://bugs.debian.org/678236#37>
where someone tested 6.0.1 for some reason (why do people test obsolete
versions?!).

Ben.

-- 
Ben Hutchings
Every program is either trivial or else contains at least one bug
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#622622; Package debian-cd. (Tue, 26 Jun 2012 11:12:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Cao <pengzhencao@vmware.com>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Tue, 26 Jun 2012 11:12:31 GMT) Full text and rfc822 format available.

Message #51 received at 622622@bugs.debian.org (full text, mbox):

From: Peter Cao <pengzhencao@vmware.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: "chunmei(Tracy) Huang" <cmhuang@vmware.com>, Arvind Kumar <arkumar@vmware.com>, 678236@bugs.debian.org, 622622@bugs.debian.org
Subject: Re: Bug#678236: linux-image-2.6.32-5-amd64: Disk IO error when running debian 6.0.x with buslogic virtual disk and 4G+ mem in a VMware VM
Date: Tue, 26 Jun 2012 04:03:58 -0700 (PDT)
Hi Ben,

I just tried Debian 6.0.2 i386. The installer also chooses "amd64" kernel instead of "i686-bigmem" kernel
When I install a VM with 6G memory.
I guess bug 622622 was only fixed in CD image, but not the DVD image.
I have found both "amd64" and "i686-bigmem" kernel are in the first DVD ISO image.

root@pek2-lab-08-dhcp176:/media/cdrom0# cat /etc/debian_version
6.0.2
root@pek2-lab-08-dhcp176:/media/cdrom0# find . -name  linux-image-*
./pool/main/l/linux-2.6/linux-image-2.6.32-5-486_2.6.32-35_i386.deb
./pool/main/l/linux-2.6/linux-image-2.6.32-5-686-bigmem_2.6.32-35_i386.deb
./pool/main/l/linux-2.6/linux-image-2.6.32-5-686_2.6.32-35_i386.deb
./pool/main/l/linux-2.6/linux-image-2.6.32-5-amd64_2.6.32-35_i386.deb


Regards,
Peter Cao

----- Original Message -----
From: "Ben Hutchings" <ben@decadent.org.uk>
To: "Peter Cao" <pengzhencao@vmware.com>
Cc: "chunmei(Tracy) Huang" <cmhuang@vmware.com>, "Arvind Kumar" <arkumar@vmware.com>, 678236@bugs.debian.org
Sent: Friday, June 22, 2012 12:38:19 PM
Subject: Re: Bug#678236: linux-image-2.6.32-5-amd64: Disk IO error when running debian 6.0.x with buslogic virtual disk and 4G+ mem in a VMware VM

On Thu, 2012-06-21 at 01:28 -0700, Peter Cao wrote:
> Hi Ben,
> 
> 
> ----- Original Message -----
> From: "Ben Hutchings" <ben@decadent.org.uk>
> To: "Peter Cao" <pengzhencao@vmware.com>, 678236@bugs.debian.org
> Cc: "chunmei(Tracy) Huang" <cmhuang@vmware.com>, "Arvind Kumar" <arkumar@vmware.com>
> Sent: Thursday, June 21, 2012 12:34:07 PM
> Subject: Re: Bug#678236: linux-image-2.6.32-5-amd64: Disk IO error when running debian 6.0.x with buslogic virtual disk and 4G+ mem in a VMware VM
> 
> 
> >We offer both but the installer is supposed to pick the '686-bigmem'
> >configuration by default.
> 
> No. The installer picks amd64 kernel by default for configuration with 4G+ mem.
> And it  normal "i686" kernel if mem<4G.

Oh, now I remember this bug: <http://bugs.debian.org/622622>.  It only
affected installation without a network mirror enabled, so far as I
know.  It was supposed to be fixed in point release 6.0.2, so I don't
understand why you would still see it.

> >It would not surprise me if BusLogic was broken on 64-bit systems, but
> >presumably you would have noticed that in other 64-bit Linux guests.
> >The userland architecture (i386 vs amd64) should not make any
> >difference.
> 
> This issue can not be repro on real amd64 debian(amd64 debian kernel+ amd64 userland, installed with amd64 ISO).
> And It can not be repro  on ubuntu10.10 PAE kernel with 4G+ memory
> 
> >What I meant is that if the VMware tools do not configure a Debian 6.0
> >guest to have a PV-SCSI adapter by default, this is a poor default and
> >that is a bug (independent of any bugs in the guest kernel or driver).
> 
> The default configuration will use lsilogic disk controller for debian.

OK, so if the default works then this isn't such a disaster.

> We do not use pvscsi disk controller by default for all guest OS.
> I am not the owner for creating VM configurations but I guess this is a balance for performance and best compatibility.
> 
> >> We can use pvscsi for best performance but our customer may need the
> >> buslogic virtual adapter so we have to support this configuration.
> 
> >Why would they specifically need that when they use a guest and host
> >that support PV-SCSI?
> 
> We just support this configuration in our product and it is the user's choice to use which controller.
> PVSCSI should have best performance with vmware tools installed, but not every user install tools, though we highly recommended end user to install
> vmware tools for best IO/mem performance.
> 
> Ben, do you have any suggestion on how to debug the buslogic driver?

Sorry, I am not at all familiar with BusLogic or SCSI drivers in
general.

Ben.

-- 
Ben Hutchings
Every program is either trivial or else contains at least one bug




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#622622; Package debian-cd. (Wed, 27 Jun 2012 09:42:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mingfeng Zhu <mzhu@vmware.com>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Wed, 27 Jun 2012 09:42:47 GMT) Full text and rfc822 format available.

Message #56 received at 622622@bugs.debian.org (full text, mbox):

From: Mingfeng Zhu <mzhu@vmware.com>
To: "622622@bugs.debian.org" <622622@bugs.debian.org>
Subject: Hit this issue with 6.0.5 32bit DVD1
Date: Wed, 27 Jun 2012 02:32:56 -0700
[Message part 1 (text/plain, inline)]
So I think it is only fixed with CD image.
[Message part 2 (text/html, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Jul 2012 07:28:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:21:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.